#if !defined(__xpd4mdi1_h)              // Sentry, use file only if it's not already included.
#define __xpd4mdi1_h

/*  Project xped4
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped4.exe Application
    FILE:         xpd4mdi1.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for xped4MDIChild (TMDIChild).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\listbox.h>

#include "xped4app.rh"            // Definition of all resources.


//{{TMDIChild = xped4MDIChild}}
class xped4MDIChild : public TMDIChild {
public:
    xped4MDIChild (TMDIClient &parent, const char far *title, TWindow *clientWnd, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~xped4MDIChild ();

//{{xped4MDIChildVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
//{{xped4MDIChildVIRTUAL_END}}
//{{xped4MDIChildRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
//{{xped4MDIChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(xped4MDIChild);
};    //{{xped4MDIChild}}


#endif                                      // __xpd4mdi1_h sentry.
