#if !defined(__xpd4mdic_h)              // Sentry, use file only if it's not already included.
#define __xpd4mdic_h

/*  Project xped4
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    xped4.exe Application
    FILE:         xpd4mdic.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for xped4MDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "xped4app.rh"            // Definition of all resources.


//{{TMDIClient = xped4MDIClient}}
class xped4MDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 
    TOpenSaveDialog::TData  FileData;                   // Data to control open/saveas standard dialog.

    xped4MDIClient ();
    virtual ~xped4MDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{xped4MDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{xped4MDIClientVIRTUAL_END}}

//{{xped4MDIClientRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFilePrint ();
    void CmFilePrintSetup ();
    void CmFilePrintPreview ();
    void CmPrintEnable (TCommandEnabler &tce);
    void EvDropFiles (TDropInfo);
//{{xped4MDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(xped4MDIClient);
};    //{{xped4MDIClient}}


#endif                                      // __xpd4mdic_h sentry.
